<template>
  <div class="addcomment">
    <h1>게시글 입력</h1>
      username: <input v-model="input.username" id="username" type="text" placeholder="이름입력">
      input_text: <textarea v-model="input.input" id="input_text" placeholder="내용입력"></textarea>
      <button v-on:click="add">등록</button>
      <button v-on:click="show">새로고침</button>
    
  </div>
</template>

<script>
export default {
  name: 'addcomment',
  props: {
    // add: Function,
    show: Function,
    // com: Object
  },
  data() {
    return {
      input: {username: '', input: ''}
    }
  },
  // data:
  //   function() {
  //     return {
  //       value: document.querySelector("#username").value
  //     }
  //   },
  // created: function() {
  //   console.log(this.input);
  // },
  // created() {
  //   this.input.username = document.querySelector('#username'),
  //   this.input.input = 'def'
  //   console.log(this.input)
  // },
  methods: {
    add() {
      this.$emit("input", this.input)
    }
    // inputText: function() {
    //   this.$emit('input-text', this.input);
    // }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
